Up

# NSCachedImageRep

### Authors

Adam Fedor (`fedor@gnu.org`)

> Cached image representation.

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSCachedImageRep class

## NSCachedImageRep : NSImageRep

> Declared in:
>   AppKit/NSCachedImageRep.h

Availability: OpenStep

Todo Description

Instance Variables
Method summary

- -initWithSize:depth:separate:alpha:
- -initWithWindow:rect:
- -rect
- -window

### initWithSize: depth: separate: alpha:

- (id) initWithSize: (NSSize)aSize depth: (NSWindowDepth)aDepth separate: (BOOL)separate alpha: (BOOL)alpha;
Availability: OpenStep

Initializes and returns a new NSCachedImageRep with size and depth specified by aSize and aDepth respectively. If seperate is `YES`, the image will gets its own unique cache without sharing it with other images.

### initWithWindow: rect:

- (id) initWithWindow: (NSWindow*)aWindow rect: (NSRect)aRect;
Availability: OpenStep

Initializes and returns a new NSCachedImageRep into a NSWindow aWindow. The image will be draw into the rectange aRect of this window. aWindow is retained.

See Also: -rect -window

### rect

- (NSRect) rect;
Availability: OpenStep

Returns the rectangle where the image is cached.

See Also: -initWithWindow:rect:

### window

- (NSWindow*) window;
Availability: OpenStep

Returns the NSWindow where the image is cached.

See Also: -initWithWindow:rect:

## Instance Variables for NSCachedImageRep Class

### _rect

@protected NSRect _rect;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _window

@protected NSWindow* _window;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up